
Foreman - Refactor #1622

Refactor Gemfile "virt group" into three seperate groups

05/15/2012 12:43 PM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Brian Gupta   

Category: Packaging   

Target version: 1.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently bundler (Gemfile) has a single group called virt that contains the dependencies for VMWare, Ovirt, libvirt and Fog/EC2). I

want to just install Fog, and don't imagine that everyone needs all three, so being able to select what gets installed would be useful.

I plan to break it down into three groups:

:fog

:vmware

:virt

Associated revisions

Revision 6db04662 - 05/15/2012 02:25 PM - Brian Gupta

Updated bundler groups in Gemfile to separate vmware, fog and libvirt/ovirt. Fixes #1622

History

#1 - 05/15/2012 12:49 PM - Brian Gupta

- Subject changed from Tweaks to hove bundler is setup. to Refactor Gemfile "virt group" into three seperate groups

#2 - 06/03/2012 12:00 AM - Ohad Levy

- Status changed from New to Closed

fixed at 6db04662
